## gnustep-addresses 0.5.0

=== debian/changelog ===
gnustep-addresses (0.5.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/control (libaddresses0.5.0, libaddressview0.5.0): Conflict with
    the old library packages; upstream uses a non-standard versioning
    mechanism (Closes: #1099980).  Thanks Helmut Grohne.
    (libaddressview-dev): Tighten depends on libaddresses-dev.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/rules (override_dh_fixperms): Rename as...
    (override_dh_fixperms-arch): ...to fix the arch:all build.
  * debian/patches/encoding.patch: Mark as forwarded upstream.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Mar 2025 08:36:01 +0200

gnustep-addresses (0.5.0-1) experimental; urgency=medium

  * Rename source package to match the other GNUstep libraries and the
    naming convention proposed to the FTP masters.
  * New upstream release:
    + SONAME change: libaddresses0 -> 0.5.0.
    + SONAME change: libaddressview0 -> 0.5.0.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control (Build-Depends): Require libinspector-dev (>= 1.1).
    (addressmanager.app) <Depends>: Tighten depends on own libraries.
    (libaddrsses-dev) <Depends>: Amend for new library package.
    (libaddressview-dev) <Depends>: Likewise.
    (libaddresses0): Rename to libaddresses0.5.0.
    (libaddressview0): Rename to libaddressview0.5.0.
    (addresses-goodies-for-gnustep): Make it a dummy transitional package.
    (gnustep-addresses-goodies): New package.  Tighten depends on own libs.
  * debian/rules (execute_before_dh_link): Cope with the goodies change.
  * debian/libaddresses-dev.install: Update for the new version; use
    globs where possible.
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddresses0.instal: Rename as...
  * debian/libaddresses0.5.0.install: ...and update for the new version.
  * debian/libaddressview0.install: Rename as...
  * debian/libaddressview0.5.0.install: ...as above.
  * debian/addresses-goodies-for-gnustep.docs: Rename as...
  * debian/gnustep-addresses-goodies.docs: ...following package rename.
  * debian/addresses-goodies-for-gnustep.install: Rename as...
  * debian/gnustep-addresses-goodies.install: ...as above.
  * debian/addresses-goodies-for-gnustep.manpages: Rename as...
  * debian/gnustep-addresses-goodies.manpages: ...as above.
  * debian/patches/vcf-import.patch: Delete; fixed upstream.
  * debian/patches/link-libs.patch: Likewise.
  * debian/patches/fix-adserver-format.patch: Likewise.
  * debian/patches/header-guard.patch: Likewise.
  * debian/patches/duplicate-decls.patch: Likewise.
  * debian/patches/missing-import.patch: Likewise.
  * debian/patches/init-from-distinct-type.patch: Likewise.
  * debian/patches/int-conversion.patch: Likewise.
  * debian/patches/NSInteger-migration.patch: Likewise.
  * debian/patches/ADPersonView-check-superview.patch: Likewise.
  * debian/patches/encoding.patch: Update for the new release.
  * debian/copyright: Add GAP as copyright holder.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 Feb 2025 17:18:03 +0200

addresses-for-gnustep (0.4.8-7) unstable; urgency=medium

  * debian/control (Build-Depends): Require libinspector-dev (>= 1.0.0-5)
    for the multiarch layout.  Drop gnustep-make; implied.
    (libaddresses-dev, libaddresses0, libaddressview-dev)
    (libaddressview0): Mark as Multi-Arch: same.
  * debian/addressmanager.app.install: Update for multiarch.
  * debian/addresses-goodies-for-gnustep.install: Likewise.
  * debian/libaddresses-dev.install: Likewise.
  * debian/libaddresses-dev.maintscript: Likewise.
  * debian/libaddresses0.install: Likewise.
  * debian/libaddressview-dev.install: Likewise.
  * debian/libaddressview0.install: Likewise (Closes: #1094005).
  * debian/upstream/metadata: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 04 Feb 2025 21:17:57 +0200

addresses-for-gnustep (0.4.8-6) unstable; urgency=medium

  * debian/patches/ADPersonView-check-superview.patch: New; fix GWorkspace
    exception on i386 caused by the VCFViewer inspector, thanks Paul
    Seelig for the bug report (Closes: #1087735).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 20 Nov 2024 10:24:37 +0200

addresses-for-gnustep (0.4.8-5) unstable; urgency=medium

  * debian/control (Build-Depends): Replace libgnustep-gui-dev with
    libinspector-dev.  Bump gnustep-make requirement to (>= 2.9.2-4) for
    dh_gnustep's --bundle option.
    (addresses-goodies-for-gnustep) <Enhances>: Set to gworkspace.app.
    <Description>: Add the VCFViewer GWorkspace inspector.
  * debian/rules (override_dh_auto_build): Don't define disable-vcfviewer.
    (override_dh_auto_install): Likewise.
    (execute_before_dh_link): Pass --bundle --bug-script for the
    addresses-goodies-for-gnustep package.
  * debian/addresses-goodies-for-gnustep.install: Install the inspector.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 26 Sep 2024 15:18:51 +0300

addresses-for-gnustep (0.4.8-4) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/gbp.conf: New file.
  * debian/control (Maintainer): Swap with Uploaders.
    (Uploaders): Add myself.
    (Build-Depends): Bump compat level to 13.  Bump gnustep-make
    requirement to (>= 2.9.2-2) for dh_gnustep's --app option.  Remove
    dh_exec.  Add dpkg-build-api (= 1).  Add imagemagick.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/addressmanager.app.install: Install everything in /usr/lib;
    dh_gnustep will take care to move stuff afterwards.  Install the PNG
    icon in /usr/share/pixmaps/GNUstep.
  * debian/libaddresses-dev.install: Install missing symlinks; don't move
    files around (it's dh_gnustep's job).
  * debian/libaddressview-dev.install: Likewise.

