=== debian/control ===
Source: gnustep-addresses
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Eric Heintzmann <heintzmann.eric@free.fr>,
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 imagemagick,
 libinspector-dev (>= 1.1),
Standards-Version: 4.7.2
Section: mail
Homepage: https://www.nongnu.org/gap/addresses
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-addresses.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-addresses

Package: addressmanager.app
Architecture: any
Depends:
 libaddresses0.5.0 (= ${binary:Version}),
 libaddressview0.5.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnumail.app,
Suggests:
 gnustep-addresses-goodies,
Description: Personal Address Manager for GNUstep
 This package constitutes a personal address manager for the GNUstep
 software system. It allows archiving complete personal contact
 information, organizing contacts in groups, integration with other
 software such as mail clients and sharing address information with
 other users over the network.

Package: libaddresses-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaddresses0.5.0 (= ${binary:Version}),
 libgnustep-base-dev,
 ${misc:Depends},
Description: Database API backend framework for GNUstep (development files)
 This backend provides complete access to address information for
 applications. It is source-code compatible with Apple
 Corporation's AddressBook.framework.
 .
 This package contains the development files.

Package: libaddresses0.5.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libaddresses0,
Description: Database API backend framework for GNUstep (library files)
 This backend provides complete access to address information for
 applications. It is source-code compatible with Apple
 Corporation's AddressBook.framework.
 .
 This package contains the runtime libraries.

Package: libaddressview-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaddresses-dev (= ${binary:Version}),
 libaddressview0.5.0 (= ${binary:Version}),
 libgnustep-gui-dev,
 ${misc:Depends},
Description: Address display/edit framework for GNUstep (development files)
 This framework provides specialized view classes to applications
 which want to display addresses to the user in a graphical form.
 .
 This package contains the development files.

Package: libaddressview0.5.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libaddressview0,
Description: Address display/edit framework for GNUstep (library files)
 This framework provides specialized view classes to applications
 which want to display addresses to the user in a graphical form.
 .
 This package contains the runtime libraries.

Package: gnustep-addresses-goodies
Architecture: any
Depends:
 libaddresses0.5.0 (= ${binary:Version}),
 libaddressview0.5.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 gworkspace.app
Breaks:
 addresses-goodies-for-gnustep (<< 0.5.0-1),
Replaces:
 addresses-goodies-for-gnustep (<< 0.5.0-1),
Description: Personal Address Manager for GNUstep (Goodies)
 This package contains a couple of things that might be of use:
  adgnumailconverter
   A tool that will merge your GNUMail address book into the Addresses
   database.
 .
  adserver
   A stand-alone Addresses network server.
 .
  adtool
   A command-line tool for address database manipulation.
 .
  VCFViewer
   A GWorkspace inspector for viewing .vcf files.

Package: addresses-goodies-for-gnustep
Architecture: all
Section: oldlibs
Depends:
 gnustep-addresses-goodies,
 ${misc:Depends},
Description: Address Manager goodies for GNUstep (dummy transitional package)
 This package is a dummy transitional package to facilitate upgrades
 to the new gnustep-addresses-goodies package.
 .
 It can be safely removed.
